Package it.ernytech.tdlib

## Class TdApi.InputFileGenerated

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputFile
    - - it.ernytech.tdlib.TdApi.InputFileGenerated

Enclosing class:
  TdApi

    public static class TdApi.InputFileGenerated
    extends TdApi.InputFile

A file generated by the client.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `conversion` String specifying the conversion applied to the original file; should be persistent across application restarts.
`int` `expectedSize` Expected size of the generated file; 0 if unknown.
`java.lang.String` `originalPath` Local path to a file from which the file is generated, may be empty if there is no such file.

### Constructor Summary

Constructors
`InputFileGenerated()` Default constructor.
`InputFileGenerated​(java.lang.String originalPath, java.lang.String conversion, int expectedSize)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### originalPath

    public java.lang.String originalPath

Local path to a file from which the file is generated, may be empty if there is no such file.

#### conversion

    public java.lang.String conversion

String specifying the conversion applied to the original file; should be persistent across application restarts.

#### expectedSize

    public int expectedSize

Expected size of the generated file; 0 if unknown.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputFileGenerated

    public InputFileGenerated()

Default constructor.

#### InputFileGenerated

    public InputFileGenerated​(java.lang.String originalPath,
                              java.lang.String conversion,
                              int expectedSize)

Constructor for initialization of all fields.

Parameters:
  `originalPath` - Local path to a file from which the file is generated, may be empty if there is no such file.
  `conversion` - String specifying the conversion applied to the original file; should be persistent across application restarts.
  `expectedSize` - Expected size of the generated file; 0 if unknown.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR